#include "chdecl.h"
void CH_makehermes_getnoncommentline(current, sched, cop)
#define ARGUMENTS 12
#include "chhead.h"
select: switch (SELECTOR) {
    case 0: goto c0;
    case 1: goto cb3;
    case 2: goto c4;
    case 3: goto c10;
    case 4: goto c14;
    case 5: goto cb18;
    case 6: goto c19;
    case 7: goto c21;
    case 8: goto c24;
    case 9: goto c194;
    case 10: goto c197;
    case 11: goto c201;
    case 12: goto c202;
    case 13: goto c205;
    case 14: goto c209;  }
c0:
/* block , 0 */
  if((ch_returncode = che_block(QUAL(0),sched)) != Normal)
     goto ch_raise_exception;
/* block , 1 */
  if((ch_returncode = che_block(QUAL(1),sched)) != Normal)
     goto ch_raise_exception;
/* block , 2 */
  if((ch_returncode = che_block(QUAL(2),sched)) != Normal)
     goto ch_raise_exception;
  current->ip = 1;
cb3:
/* receive 3 0 */
  if ((ch_returncode = che_receive(DEF(3),DEF(0),sched)) != Normal)
     goto ch_raise_exception;
  return;
c4:
/* chs_lit 4 , "" */
  if( !chs_lit(DEF(4),"") ) goto ch_depletion;
/* chs_lit 5 , "" */
  if( !chs_lit(DEF(5),"") ) goto ch_depletion;
/* boolean 6 , TRUE */
  REF(6).value.boolean = TRUE;
  REF(6).tsdr = & dr_boolean;
c10:
/* size 7 5 */
  REF(7).value.integer = REF(5).value.table->size;
  REF(7).tsdr = & dr_integer;
/* notequal . 7 =(0) , 197 */
  if ( REF(7).value.integer != 0 ) goto c197;
c14:
/* size 8 4 */
  REF(8).value.integer = REF(4).value.table->size;
  REF(8).tsdr = & dr_integer;
/* notequal . 8 =(0) , 21 */
  if ( REF(8).value.integer != 0 ) goto c21;
  current->ip = 5;
cb18:
/* call 3.0 9 , 3 */
  if ((ch_returncode = che_call((
          arguments[0] = DEF(3)DOT(0),
          arguments[1] = DEF(9),
          arguments[1+1] = nil,& arguments[0]),QUAL(3),sched)) != Normal)
     goto ch_raise_exception;
  return;
c19:
/* move 4 9 */
  (*(REF(4).tsdr)->finalize)(REF(4).value,F_DISCARD,sched);
  REF(4) = REF(9);
  REF(9).tsdr = & dr_bottom;
/* branch , 14 */
   goto c14;
c21:
/* block , 4 */
  if((ch_returncode = che_block(QUAL(4),sched)) != Normal)
     goto ch_raise_exception;
/* ordenum_lit 10 , 83 */
  REF(10).value.ord_enum = 83;
  REF(10).tsdr = & dr_ord_enumeration;
c24:
/* size 11 4 */
  REF(11).value.integer = REF(4).value.table->size;
  REF(11).tsdr = & dr_integer;
/* ile . 11 =(0) , 192 */
  if ( REF(11).value.integer <= 0 ) goto c192;
/* block , 5 */
  if((ch_returncode = che_block(QUAL(5),sched)) != Normal)
     goto ch_raise_exception;
/* size 12 5 */
  REF(12).value.integer = REF(5).value.table->size;
  REF(12).tsdr = & dr_integer;
/* equal 6 12 =(0) */
  REF(6).value.boolean = (REF(12).value.integer == 0);
  REF(6).tsdr = & dr_boolean;
/* privatize 4 */
  if (REF(4).value.table->refcount != 1)
    if ((ch_returncode = doCopyOnWrite(DEF(4))) != Normal)
       goto ch_raise_exception;
/* initget 13 4 , 0,0 */
  (*(REF(13).tsdr)->finalize)(REF(13).value,F_DISCARD,sched);
  if ((ch_returncode = init_selector(DEF(13),DEF(4),nil,sched,GET,0,0
    )) != Normal) goto ch_raise_exception;
/* get_or_err 13 4 */
  if ((ch_returncode = get_selected_object(DEF(13),DEF(4),sched)) != Normal)
     goto ch_raise_exception;
/* remove 14 13 4 */
  if ((ch_returncode = che_remove(DEF(14),DEF(13),DEF(4),sched)) != Normal)
     goto ch_raise_exception;
/* endget 13 4 */
  end_selector(DEF(13),DEF(4),sched,GET);
/* equal . 10 =(67) , 48 */
  if ( REF(10).value.ord_enum == 67 ) goto c48;
/* equal . 10 =(39) , 74 */
  if ( REF(10).value.ord_enum == 39 ) goto c74;
/* equal . 10 =(34) , 99 */
  if ( REF(10).value.ord_enum == 34 ) goto c99;
/* equal . 10 =(83) , 124 */
  if ( REF(10).value.ord_enum == 83 ) goto c124;
/* branch , 188 */
   goto c188;
c48:
/* noop */
  
/* notequal . 14 =(42) , 189 */
  if ( REF(14).value.ord_enum != 42 ) goto c189;
/* size 15 4 */
  REF(15).value.integer = REF(4).value.table->size;
  REF(15).tsdr = & dr_integer;
/* ile . 15 =(0) , 189 */
  if ( REF(15).value.integer <= 0 ) goto c189;
/* lookup_at 16 4 =(0) */
  if ( !((ch_t = REF(4).value.table)->size) ) goto ch_notfound;
  (*(REF(16).tsdr)->finalize)(REF(16).value,F_DISCARD,sched);
  (*(ch_t->tbls[ORDER_TBL].des->lookup_at))
    (ch_t, ORDER_TBL, & REF(16).value,0);
  REF(16).tsdr = qdatarepmap[ch_t->tsdr->number];
/* copy 17 16 */
  REF(17) = REF(16);
/* notequal . 17 =(47) , 189 */
  if ( REF(17).value.ord_enum != 47 ) goto c189;
/* privatize 4 */
  if (REF(4).value.table->refcount != 1)
    if ((ch_returncode = doCopyOnWrite(DEF(4))) != Normal)
       goto ch_raise_exception;
/* initget 18 4 , 0,0 */
  (*(REF(18).tsdr)->finalize)(REF(18).value,F_DISCARD,sched);
  if ((ch_returncode = init_selector(DEF(18),DEF(4),nil,sched,GET,0,0
    )) != Normal) goto ch_raise_exception;
/* get_or_err 18 4 */
  if ((ch_returncode = get_selected_object(DEF(18),DEF(4),sched)) != Normal)
     goto ch_raise_exception;
/* remove 14 18 4 */
  if ((ch_returncode = che_remove(DEF(14),DEF(18),DEF(4),sched)) != Normal)
     goto ch_raise_exception;
/* endget 18 4 */
  end_selector(DEF(18),DEF(4),sched,GET);
/* not 19 6 */
  REF(19).value.boolean = !REF(6).value.boolean;
  REF(19).tsdr = & dr_boolean;
/* branch_false 19 , 70 */
  if ( !REF(19).value.boolean ) goto c70;
/* ordenum_lit 20 , 32 */
  REF(20).value.ord_enum = 32;
  REF(20).tsdr = & dr_ord_enumeration;
/* insert 5 20 */
  if ((ch_returncode = insertfunc(DEF(5),DEF(20),FALSE,0)) != Normal)
     goto ch_raise_exception;
c70:
/* ordenum_lit 10 , 83 */
  REF(10).value.ord_enum = 83;
  REF(10).tsdr = & dr_ord_enumeration;
/* exit , 6 */
  ch_e = handler_type__exit; ch_val = QUAL(6); goto ch_exception;
c74:
/* copy 21 14 */
  REF(21) = REF(14);
/* insert 5 21 */
  if ((ch_returncode = insertfunc(DEF(5),DEF(21),FALSE,0)) != Normal)
     goto ch_raise_exception;
/* notequal . 14 =(39) , 189 */
  if ( REF(14).value.ord_enum != 39 ) goto c189;
/* size 22 4 */
  REF(22).value.integer = REF(4).value.table->size;
  REF(22).tsdr = & dr_integer;
/* ile . 22 =(0) , 96 */
  if ( REF(22).value.integer <= 0 ) goto c96;
/* lookup_at 23 4 =(0) */
  if ( !((ch_t = REF(4).value.table)->size) ) goto ch_notfound;
  (*(REF(23).tsdr)->finalize)(REF(23).value,F_DISCARD,sched);
  (*(ch_t->tbls[ORDER_TBL].des->lookup_at))
    (ch_t, ORDER_TBL, & REF(23).value,0);
  REF(23).tsdr = qdatarepmap[ch_t->tsdr->number];
/* copy 24 23 */
  REF(24) = REF(23);
/* notequal . 24 =(39) , 96 */
  if ( REF(24).value.ord_enum != 39 ) goto c96;
/* privatize 4 */
  if (REF(4).value.table->refcount != 1)
    if ((ch_returncode = doCopyOnWrite(DEF(4))) != Normal)
       goto ch_raise_exception;
/* initget 25 4 , 0,0 */
  (*(REF(25).tsdr)->finalize)(REF(25).value,F_DISCARD,sched);
  if ((ch_returncode = init_selector(DEF(25),DEF(4),nil,sched,GET,0,0
    )) != Normal) goto ch_raise_exception;
/* get_or_err 25 4 */
  if ((ch_returncode = get_selected_object(DEF(25),DEF(4),sched)) != Normal)
     goto ch_raise_exception;
/* remove 14 25 4 */
  if ((ch_returncode = che_remove(DEF(14),DEF(25),DEF(4),sched)) != Normal)
     goto ch_raise_exception;
/* endget 25 4 */
  end_selector(DEF(25),DEF(4),sched,GET);
/* insert 5 14 */
  if ((ch_returncode = insertfunc(DEF(5),DEF(14),FALSE,0)) != Normal)
     goto ch_raise_exception;
/* exit , 6 */
  ch_e = handler_type__exit; ch_val = QUAL(6); goto ch_exception;
c96:
/* ordenum_lit 10 , 83 */
  REF(10).value.ord_enum = 83;
  REF(10).tsdr = & dr_ord_enumeration;
/* branch , 189 */
   goto c189;
c99:
/* copy 26 14 */
  REF(26) = REF(14);
/* insert 5 26 */
  if ((ch_returncode = insertfunc(DEF(5),DEF(26),FALSE,0)) != Normal)
     goto ch_raise_exception;
/* notequal . 14 =(34) , 189 */
  if ( REF(14).value.ord_enum != 34 ) goto c189;
/* size 27 4 */
  REF(27).value.integer = REF(4).value.table->size;
  REF(27).tsdr = & dr_integer;
/* ile . 27 =(0) , 121 */
  if ( REF(27).value.integer <= 0 ) goto c121;
/* lookup_at 28 4 =(0) */
  if ( !((ch_t = REF(4).value.table)->size) ) goto ch_notfound;
  (*(REF(28).tsdr)->finalize)(REF(28).value,F_DISCARD,sched);
  (*(ch_t->tbls[ORDER_TBL].des->lookup_at))
    (ch_t, ORDER_TBL, & REF(28).value,0);
  REF(28).tsdr = qdatarepmap[ch_t->tsdr->number];
/* copy 29 28 */
  REF(29) = REF(28);
/* notequal . 29 =(34) , 121 */
  if ( REF(29).value.ord_enum != 34 ) goto c121;
/* privatize 4 */
  if (REF(4).value.table->refcount != 1)
    if ((ch_returncode = doCopyOnWrite(DEF(4))) != Normal)
       goto ch_raise_exception;
/* initget 30 4 , 0,0 */
  (*(REF(30).tsdr)->finalize)(REF(30).value,F_DISCARD,sched);
  if ((ch_returncode = init_selector(DEF(30),DEF(4),nil,sched,GET,0,0
    )) != Normal) goto ch_raise_exception;
/* get_or_err 30 4 */
  if ((ch_returncode = get_selected_object(DEF(30),DEF(4),sched)) != Normal)
     goto ch_raise_exception;
/* remove 14 30 4 */
  if ((ch_returncode = che_remove(DEF(14),DEF(30),DEF(4),sched)) != Normal)
     goto ch_raise_exception;
/* endget 30 4 */
  end_selector(DEF(30),DEF(4),sched,GET);
/* insert 5 14 */
  if ((ch_returncode = insertfunc(DEF(5),DEF(14),FALSE,0)) != Normal)
     goto ch_raise_exception;
/* exit , 6 */
  ch_e = handler_type__exit; ch_val = QUAL(6); goto ch_exception;
c121:
/* ordenum_lit 10 , 83 */
  REF(10).value.ord_enum = 83;
  REF(10).tsdr = & dr_ord_enumeration;
/* branch , 189 */
   goto c189;
c124:
/* noop */
  
/* equal . 14 =(47) , 138 */
  if ( REF(14).value.ord_enum == 47 ) goto c138;
/* equal . 14 =(45) , 157 */
  if ( REF(14).value.ord_enum == 45 ) goto c157;
/* equal . 14 =(39) , 170 */
  if ( REF(14).value.ord_enum == 39 ) goto c170;
/* equal . 14 =(34) , 174 */
  if ( REF(14).value.ord_enum == 34 ) goto c174;
/* equal . 14 =(9) , 178 */
  if ( REF(14).value.ord_enum == 9 ) goto c178;
/* equal . 14 =(32) , 182 */
  if ( REF(14).value.ord_enum == 32 ) goto c182;
/* branch , 186 */
   goto c186;
c138:
/* size 31 4 */
  REF(31).value.integer = REF(4).value.table->size;
  REF(31).tsdr = & dr_integer;
/* ile . 31 =(0) , 155 */
  if ( REF(31).value.integer <= 0 ) goto c155;
/* lookup_at 32 4 =(0) */
  if ( !((ch_t = REF(4).value.table)->size) ) goto ch_notfound;
  (*(REF(32).tsdr)->finalize)(REF(32).value,F_DISCARD,sched);
  (*(ch_t->tbls[ORDER_TBL].des->lookup_at))
    (ch_t, ORDER_TBL, & REF(32).value,0);
  REF(32).tsdr = qdatarepmap[ch_t->tsdr->number];
/* copy 33 32 */
  REF(33) = REF(32);
/* notequal . 33 =(42) , 155 */
  if ( REF(33).value.ord_enum != 42 ) goto c155;
/* privatize 4 */
  if (REF(4).value.table->refcount != 1)
    if ((ch_returncode = doCopyOnWrite(DEF(4))) != Normal)
       goto ch_raise_exception;
/* lookup_at 34 4 =(0) */
  if ( !((ch_t = REF(4).value.table)->size) ) goto ch_notfound;
  (*(REF(34).tsdr)->finalize)(REF(34).value,F_DISCARD,sched);
  (*(ch_t->tbls[ORDER_TBL].des->lookup_at))
    (ch_t, ORDER_TBL, & REF(34).value,0);
  REF(34).tsdr = qdatarepmap[ch_t->tsdr->number];
/* remove_at 14 4 =(0) */
  if ((ch_returncode = remove_at_func(DEF(14),DEF(4),0)) != Normal)
     goto ch_raise_exception;
/* ordenum_lit 10 , 67 */
  REF(10).value.ord_enum = 67;
  REF(10).tsdr = & dr_ord_enumeration;
/* exit , 6 */
  ch_e = handler_type__exit; ch_val = QUAL(6); goto ch_exception;
c155:
/* insert 5 14 */
  if ((ch_returncode = insertfunc(DEF(5),DEF(14),FALSE,0)) != Normal)
     goto ch_raise_exception;
/* branch , 189 */
   goto c189;
c157:
/* size 35 4 */
  REF(35).value.integer = REF(4).value.table->size;
  REF(35).tsdr = & dr_integer;
/* ile . 35 =(0) , 168 */
  if ( REF(35).value.integer <= 0 ) goto c168;
/* lookup_at 36 4 =(0) */
  if ( !((ch_t = REF(4).value.table)->size) ) goto ch_notfound;
  (*(REF(36).tsdr)->finalize)(REF(36).value,F_DISCARD,sched);
  (*(ch_t->tbls[ORDER_TBL].des->lookup_at))
    (ch_t, ORDER_TBL, & REF(36).value,0);
  REF(36).tsdr = qdatarepmap[ch_t->tsdr->number];
/* copy 37 36 */
  REF(37) = REF(36);
/* notequal . 37 =(45) , 168 */
  if ( REF(37).value.ord_enum != 45 ) goto c168;
/* exit , 7 */
  ch_e = handler_type__exit; ch_val = QUAL(7); goto ch_exception;
c168:
/* insert 5 14 */
  if ((ch_returncode = insertfunc(DEF(5),DEF(14),FALSE,0)) != Normal)
     goto ch_raise_exception;
/* branch , 189 */
   goto c189;
c170:
/* insert 5 14 */
  if ((ch_returncode = insertfunc(DEF(5),DEF(14),FALSE,0)) != Normal)
     goto ch_raise_exception;
/* ordenum_lit 10 , 39 */
  REF(10).value.ord_enum = 39;
  REF(10).tsdr = & dr_ord_enumeration;
/* branch , 189 */
   goto c189;
c174:
/* insert 5 14 */
  if ((ch_returncode = insertfunc(DEF(5),DEF(14),FALSE,0)) != Normal)
     goto ch_raise_exception;
/* ordenum_lit 10 , 34 */
  REF(10).value.ord_enum = 34;
  REF(10).tsdr = & dr_ord_enumeration;
/* branch , 189 */
   goto c189;
c178:
/* not 38 6 */
  REF(38).value.boolean = !REF(6).value.boolean;
  REF(38).tsdr = & dr_boolean;
/* branch_false 38 , 189 */
  if ( !REF(38).value.boolean ) goto c189;
/* insert 5 14 */
  if ((ch_returncode = insertfunc(DEF(5),DEF(14),FALSE,0)) != Normal)
     goto ch_raise_exception;
/* branch , 189 */
   goto c189;
c182:
/* not 39 6 */
  REF(39).value.boolean = !REF(6).value.boolean;
  REF(39).tsdr = & dr_boolean;
/* branch_false 39 , 189 */
  if ( !REF(39).value.boolean ) goto c189;
/* insert 5 14 */
  if ((ch_returncode = insertfunc(DEF(5),DEF(14),FALSE,0)) != Normal)
     goto ch_raise_exception;
/* branch , 189 */
   goto c189;
c186:
/* insert 5 14 */
  if ((ch_returncode = insertfunc(DEF(5),DEF(14),FALSE,0)) != Normal)
     goto ch_raise_exception;
/* branch , 189 */
   goto c189;
c188:
/* exit , 8 */
  ch_e = handler_type__exit; ch_val = QUAL(8); goto ch_exception;
c189:
/* endblock */
  che_endblock(sched);
/* branch , 24 */
   goto c24;
c192:
/* endblock */
  che_endblock(sched);
/* branch , 10 */
   goto c10;
c194:
/* chs_lit 4 , "" */
  if( !chs_lit(DEF(4),"") ) goto ch_depletion;
/* branch , 10 */
   goto c10;
c197:
/* move 3.1 5 */
  (*(REF(3)DOT(1).tsdr)->finalize)(REF(3)DOT(1).value,F_DISCARD,sched);
  REF(3)DOT(1) = REF(5);
  REF(5).tsdr = & dr_bottom;
/* return 3 */
  if (ch_caller = do_return(REF(3).value)) {
    if (ch_caller->type < CProcess) ch_caller->ip++;
      sched->wakeup_proc(sched, ch_caller);}
  else rem_return(REF(3).value);
  REF(3).tsdr = & dr_bottom;
/* endblock */
  che_endblock(sched);
/* branch , 202 */
   goto c202;
c201:
/* return_exception 3 , 9 */
  if (ch_caller = do_return(REF(3).value)) {
    raise_user(QUAL(9),ch_caller); 
    sched->wakeup_proc(sched,ch_caller);}
  else rem_return_exception(DEF(3),QUAL(9));
  REF(3).tsdr = & dr_bottom;
c202:
/* discard 5 */
  (*(REF(5).tsdr)->finalize)(REF(5).value,F_DISCARD,sched);
  REF(5).tsdr = & dr_bottom;
/* endblock */
  che_endblock(sched);
c205:
/* discard 3 */
  (*(REF(3).tsdr)->finalize)(REF(3).value,F_DISCARD,sched);
  REF(3).tsdr = & dr_bottom;
/* discard 5 */
  (*(REF(5).tsdr)->finalize)(REF(5).value,F_DISCARD,sched);
  REF(5).tsdr = & dr_bottom;
/* endblock */
  che_endblock(sched);
c209:
/* endprocess */
  che_endprocess(sched); return;
#include "chtail.h"
